Kan ikke installere ...(?)

Søger du et bestemt program? Mangler du et alternativ til dit Windowsprogram? Program-spørgsmål kan stilles her.
Dan Hansen
Indlæg: 493
Tilmeldt: 1. dec 2013, 15:37
Geografisk sted: Eidsvoll / Norge

Kan ikke installere ...(?)

Indlægaf Dan Hansen » 24. sep 2020, 21:41

Nogen der ved hvorfor Discover siger det her? Jeg har da installeret Gramps på nøjagtig samme måde mindst 50 gange nu (downloader fra hjemmeside og klikker på *.deb-filen). Har samme problemet med Vuescan ...

usignert.png
usignert.png (57.79 KiB) Vist 244 gange
Asus X207N - 32GB eMMC - 4GB RAM - KDE Neon 5.21.13 (Ubuntu 20.04 LTS) - Kernel 5.4.0-67-generic

Klaus Rasmussen
Admin
Indlæg: 4984
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Kan ikke installere ...(?)

Indlægaf Klaus Rasmussen » 24. sep 2020, 22:00

Prøv at reparer pakkesystemet med:

Kode: Vælg alt

sudo dpkg --configure -a  &&  sudo apt-get autoremove -y --force-yes && sudo apt-get clean -y --force-yes && sudo apt-get update -y && sudo apt-get upgrade -y --force-yes
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

AJenbo
Admin
Indlæg: 20570
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Kan ikke installere ...(?)

Indlægaf AJenbo » 24. sep 2020, 23:21

Brug en anden pakke manager der ikke sætter krav, eller se om det kan ændres i indstillingerne.

Dan Hansen
Indlæg: 493
Tilmeldt: 1. dec 2013, 15:37
Geografisk sted: Eidsvoll / Norge

Re: Kan ikke installere ...(?)

Indlægaf Dan Hansen » 25. sep 2020, 06:07

Tusind tak for hjælpen. Så kom jeg lidt længer :)

Klaus Rasmussen skrev:Prøv at reparer pakkesystemet med:

Kode: Vælg alt

sudo dpkg --configure -a  &&  sudo apt-get autoremove -y --force-yes && sudo apt-get clean -y --force-yes && sudo apt-get update -y && sudo apt-get upgrade -y --force-yes


Jeg prøvede det her, og fik besked om at der manglede "python3-gi-cairo" og "python3-bsddb3". Dem installerede jeg, og lykkedes med at installere Gramps med;

Kode: Vælg alt

sudo dpkg -i gramps_5.1.3-1_all.deb


Nu starter Gramps, men med følgende fejlmelding;

gramps2.png
gramps2.png (51.73 KiB) Vist 236 gange


gramps3.png
gramps3.png (62.58 KiB) Vist 236 gange


Den sidste løste jeg med;

Kode: Vælg alt

sudo apt install gir1.2-osmgpsmap-1.0


Nu kører Gramps imidlertid, men jeg får den første fejl hver gang den starter. Så ved jeg ikke rigtigt om den løser sig ved en opdatering senere, eller om jeg skal lede andre steder.
Asus X207N - 32GB eMMC - 4GB RAM - KDE Neon 5.21.13 (Ubuntu 20.04 LTS) - Kernel 5.4.0-67-generic

Klaus Rasmussen
Admin
Indlæg: 4984
Tilmeldt: 26. apr 2010, 02:40
IRC nickname: ClaudiuS
Geografisk sted: Nyborg [fyn]

Re: Kan ikke installere ...(?)

Indlægaf Klaus Rasmussen » 25. sep 2020, 09:58

Prøv om ikke denne løser problemet:

Kode: Vælg alt

sudo apt-get -f install


PS. Jeg har installeret gramps version 5.1.2 samt gir1.2-osmgpsmap-1.0, og det kører fint. Gramps version 5.1.3 hører til Ubuntu 20.10.
Med Venlig Hilsen
Klaus

Kører Ubuntu 20.04 på Lenovo-H515s, 64bit og 21.10 på HP Probook 4520s, 64 bit.
Gratis Ubuntumagasin: http://fullcirclemagazine.org/
MEGA Share: https://mega.nz/#F!XNM1ALpL!G_CEVUUE9ZvotKPa4o4PLA

Tilbage til "Programmer i Ubuntu"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster